com.google.web.bindery.requestfactory.shared

## Class ValueLocator<T>

- java.lang.Object
- - com.google.web.bindery.requestfactory.shared.Locator<T,java.lang.Void>
  - - com.google.web.bindery.requestfactory.shared.ValueLocator<T>

Type Parameters:
  `T` - the type of domain object the Locator will operate on

    public abstract class ValueLocator<T>
    extends Locator<T,java.lang.Void>

A `Locator` for use with value types (as opposed to entities), which are not persisted. Abstract methods from the `Locator` class that are not relevant for value types are implemented to return `null`.

### Constructor Summary

Constructors
Constructor and Description
`ValueLocator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<T>` `getDomainType()` Returns `null`.
`java.lang.Void` `getId(T domainObject)` Returns `null`.
`java.lang.Class<java.lang.Void>` `getIdType()` Returns `null`.
`java.lang.Object` `getVersion(T domainObject)` Returns `null`.

### Methods inherited from class com.google.web.bindery.requestfactory.shared.Locator

`create, find, isLive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueLocator

    public ValueLocator()

### Method Detail

#### getDomainType

    public final java.lang.Class<T> getDomainType()

Returns `null`.

Specified by:
  `getDomainType` in class `Locator<T,java.lang.Void>`

#### getId

    public final java.lang.Void getId(T domainObject)

Returns `null`.

Specified by:
  `getId` in class `Locator<T,java.lang.Void>`
Parameters:
  `domainObject` - the object to obtain an id for
Returns:
  the object's id or `null`

#### getIdType

    public final java.lang.Class<java.lang.Void> getIdType()

Returns `null`.

Specified by:
  `getIdType` in class `Locator<T,java.lang.Void>`

#### getVersion

    public final java.lang.Object getVersion(T domainObject)

Returns `null`.

Specified by:
  `getVersion` in class `Locator<T,java.lang.Void>`
Parameters:
  `domainObject` - the object to obtain an id for
Returns:
  the object's version or `null`